# -*- mode: python -*-
import os
try:
    import qb
except ImportError:
    for api_path in ("/Applications/pfx/qube/api/python/",
                     "/usr/local/pfx/qube/api/python/",
                     "C:\\Program Files (x86)\\pfx\\qube\\api\\python"):
        if api_path not in sys.path and os.path.exists(api_path):
            sys.path.insert(0,api_path)
            break
    import qb

additionalLibs = [] 
additionalLibs.append( (os.path.basename(qb._qb.__file__), qb._qb.__file__, 'BINARY') )
print "***** add'l libs: ********"
for al in additionalLibs:
    print al
print "**************************"

a = Analysis(['qubeMobileServerUserAdmin.py'],
             pathex=['/Users/briank/Perforce/pipelinefx/BKsMac/main/qubeMobileServer'],
             hiddenimports=[],
             hookspath=None)
pyz = PYZ(a.pure)
exe = EXE(pyz,
          a.scripts,
          a.binaries + additionalLibs,
          a.zipfiles,
          a.datas,
          name=os.path.join('dist', 'qubeMobileServerUserAdmin'),
          debug=False,
          strip=None,
          upx=True,
          console=True )
